function string = strmerge(tokens,delimiter)

if ~exist('delimiter','var')
    delimiter = '';
end

ntokens = length(tokens);

string = char(tokens(1));

for i=2:ntokens
    string = [string,delimiter,char(tokens(i))];
end